## applet-count 0.1

=== Makefile ===
all: libapplet-count.so

libapplet-count.so: applet-count.c
	gcc -shared `pkg-config --cflags --libs libosso hildon-1 gconf-2.0` $< -o $@

clean:
	rm -f *.o *.so *~

install: libapplet-count.so applet-count.desktop
	cp libapplet-count.so $(DESTDIR)/usr/lib/hildon-control-panel/
	cp applet-count.desktop $(DESTDIR)/usr/share/applications/hildon-control-panel/

=== debian/changelog ===
applet-count (0.1) unstable; urgency=low

  * Initial version

 -- Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>  6 Oct 2010 14:10:00 +0400

=== debian/control ===
Source: applet-count
Section: user/desktop
Priority: extra
Maintainer: Ilya Skriblovsky <Ilya.Skriblovsky@gmail.com>
Build-Depends: debhelper (>= 5), libgtk2.0-dev, libosso-dev, hildon-control-panel-dev
Standards-Version: 2.0

Package: applet-count
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libhildondesktop0 (= 1:2.0.18-1fix1mtr)
Description: Control panel applet for changing number of applets in statusbar. NOTE: this will only work with specially patched hildon-desktop.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make clean

	dh_clean


build:
	dh_testdir

	make


install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	make DESTDIR=$(CURDIR)/debian/applet-count install


binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary
